summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorGennadiy Chernyshyk2018-11-26 20:01:49 +0200
committerGennadiy Chernyshyk2018-11-26 20:01:49 +0200
commitabda0b74bc9524650333b32e187821fc80c06f44 (patch)
tree7974f7d39cd345d17aa040d23e1e88a55e772d04
parent3efcafb9f763442d721c544332140c1f08fa9d22 (diff)
downloadaur-abda0b74bc9524650333b32e187821fc80c06f44.tar.gz
Update to 2.0.1
-rw-r--r--.SRCINFO12
-rw-r--r--PKGBUILD14
2 files changed, 13 insertions, 13 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 3e3520d85b2..18544d17fc2 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = crow-translate
pkgdesc = A simple and lightweight translator that allows to translate and say selected text using Google and Yandex translate API
- pkgver = 2.0.0
- pkgrel = 2
+ pkgver = 2.0.1
+ pkgrel = 1
url = https://github.com/Shatur95/crow-translate
arch = x86_64
license = GPL3
@@ -11,12 +11,12 @@ pkgbase = crow-translate
depends = qt5-x11extras
depends = gst-plugins-good
depends = openssl
- source = crow-translate.tar.gz::https://github.com/Shatur95/crow-translate/archive/2.0.0.tar.gz
- source = QOnlineTranslator-submodule.tar.gz::https://github.com/Shatur95/QOnlineTranslator/archive/1.0.0.tar.gz
+ source = crow-translate.tar.gz::https://github.com/Shatur95/crow-translate/archive/2.0.1.tar.gz
+ source = QOnlineTranslator-submodule.tar.gz::https://github.com/Shatur95/QOnlineTranslator/archive/1.0.1.tar.gz
source = QHotkey-submodule.tar.gz::https://github.com/Skycoder42/QHotkey/archive/1.2.2.tar.gz
source = SingleApplication-submodule.tar.gz::https://github.com/itay-grudev/SingleApplication/archive/v3.0.10.tar.gz
- sha256sums = de823e7ee72d4a6e92014bacc9efdfd9785ead0b6556939a36a917b01acc2ee5
- sha256sums = b53ee9b78e19ba4e3f963085a7007a5cebfd5f39bf885f4f96852cba1f84e341
+ sha256sums = f7690a8a8750560cafe609643b999cbccb912a65c29eafbb57e0958d3939f317
+ sha256sums = 516bdddc7f819cba47c5708f80952c55dd3590ae79abbb9238fc427010e9dfe9
sha256sums = 1a5a6eb81738a8f232df2dd5c908839871077e10ca3b9a6437daf5fda53d86ad
sha256sums = 9c8ae7431ea008c4516456615558c433940d3d0a144dc549f5aac43193b4afc0
diff --git a/PKGBUILD b/PKGBUILD
index 725292e4d77..a87dd71d6d4 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,8 +1,8 @@
# Maintainer: Shatur95 <genaloner@gmail.com>
pkgname=crow-translate
-pkgver=2.0.0
-pkgrel=2
+pkgver=2.0.1
+pkgrel=1
pkgdesc="A simple and lightweight translator that allows to translate and say selected text using Google and Yandex translate API"
arch=('x86_64')
url="https://github.com/Shatur95/crow-translate"
@@ -10,17 +10,17 @@ license=('GPL3')
depends=('qt5-base' 'qt5-multimedia' 'qt5-x11extras' 'gst-plugins-good' 'openssl')
makedepends=('qt5-tools')
source=($pkgname.tar.gz::"https://github.com/Shatur95/crow-translate/archive/$pkgver.tar.gz"
- QOnlineTranslator-submodule.tar.gz::"https://github.com/Shatur95/QOnlineTranslator/archive/1.0.0.tar.gz"
+ QOnlineTranslator-submodule.tar.gz::"https://github.com/Shatur95/QOnlineTranslator/archive/1.0.1.tar.gz"
QHotkey-submodule.tar.gz::"https://github.com/Skycoder42/QHotkey/archive/1.2.2.tar.gz"
SingleApplication-submodule.tar.gz::"https://github.com/itay-grudev/SingleApplication/archive/v3.0.10.tar.gz")
-sha256sums=('de823e7ee72d4a6e92014bacc9efdfd9785ead0b6556939a36a917b01acc2ee5'
- 'b53ee9b78e19ba4e3f963085a7007a5cebfd5f39bf885f4f96852cba1f84e341'
+sha256sums=('f7690a8a8750560cafe609643b999cbccb912a65c29eafbb57e0958d3939f317'
+ '516bdddc7f819cba47c5708f80952c55dd3590ae79abbb9238fc427010e9dfe9'
'1a5a6eb81738a8f232df2dd5c908839871077e10ca3b9a6437daf5fda53d86ad'
'9c8ae7431ea008c4516456615558c433940d3d0a144dc549f5aac43193b4afc0')
# Move submodules into the project
prepare() {
- mv QOnlineTranslator-1.0.0/* "$pkgname-$pkgver/src/qonlinetranslator"
+ mv QOnlineTranslator-1.0.1/* "$pkgname-$pkgver/src/qonlinetranslator"
mv QHotkey-1.2.2/* "$pkgname-$pkgver/src/third-party/qhotkey"
mv SingleApplication-3.0.10/* "$pkgname-$pkgver/src/third-party/singleapplication"
}
@@ -34,5 +34,5 @@ build() {
package() {
cd "$pkgname-$pkgver"
make INSTALL_ROOT="$pkgdir/" install
- warning "After switching to version 2.0.0 from older ones, need to delete application settings (just remove ~/.config/crow)"
+ warning "After switching from 1.0.x, need to delete application settings (just remove ~/.config/crow)"
}